## pim-sieve-editor 25.08.2

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.2")
project(sieveeditor VERSION ${PIM_VERSION})
set(RELEASE_SERVICE_VERSION "25.08.2")

# Update it for each release
set(SIEVEEDITOR_RELEASE_VERSION_DATE "25.10.06") # yy.MM.dd

# Use true if stable version => we will check specific version
set(SIEVEEDITOR_STABLE_VERSION true)

set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
set(CMAKE_CXX_STANDARD 20)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)

include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(KMAILTRANSPORT_LIB_VERSION "6.5.2")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

set(LIBKSIEVE_LIB_VERSION "6.5.2")
set(PIMCOMMON_LIB_VERSION "6.5.2")
set(KIMAP_LIB_VERSION "6.5.2")

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        Widgets
        Network
)

if(Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE)
endif()

# Find KF6 package
find_package(KF6CoreAddons ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Bookmarks ${KF_MIN_VERSION} REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} REQUIRED)
find_package(KF6WindowSystem ${KF_MIN_VERSION} REQUIRED)

find_package(KF6DocTools ${KF_MIN_VERSION})
find_package(KF6I18n ${KF_MIN_VERSION})
find_package(KF6IconThemes ${KF_MIN_VERSION} QUIET)
set_package_properties(
    KF6DocTools
    PROPERTIES
        DESCRIPTION
            "Tools to generate documentation"
        TYPE
            OPTIONAL
)
find_package(KF6UserFeedback ${KF_MIN_VERSION} CONFIG)
set_package_properties(
    KF6::UserFeedback
    PROPERTIES
        DESCRIPTION
            "User Feedback lib"
        TYPE
            OPTIONAL
        PURPOSE
            "Allow to send Telemetry Information (optional)."
)

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()

option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
    set(WITH_DBUS TRUE)
    find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
else()
    find_package(KDSingleApplication-qt6 CONFIG REQUIRED)
endif()

# Find KdepimLibs Package
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim6PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6KSieveUi ${LIBKSIEVE_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)

find_package(Qt6Keychain ${QT6KEYCHAIN_LIB_VERSION} CONFIG)
set_package_properties(
    Qt6Keychain
    PROPERTIES
        DESCRIPTION
            "Provides support for secure credentials storage"
        URL
            "https://github.com/frankosterfeld/qtkeychain"
        TYPE
            REQUIRED
)

include_directories(
    ${sieveeditor_SOURCE_DIR}
    ${sieveeditor_BINARY_DIR}
)

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.16.0)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
    find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
endif()
add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()

ki18n_install(po)

if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

if(TARGET KF6::UserFeedbackWidgets)
    set(WITH_KUSERFEEDBACK true)
endif()

configure_file(sieveeditor-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/sieveeditor-version.h @ONLY)

add_library(libsieveeditor)

configure_file(config-pim-sieve-editor.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-pim-sieve-editor.h)

kconfig_add_kcfg_files(libsieveeditor settings/sieveeditorglobalconfig.kcfgc)

target_sources(
    libsieveeditor
    PRIVATE
        ${CMAKE_CURRENT_SOURCE_DIR}/importwizard/importimapsettingwizard.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/importwizard/importimapsettingsearchpage.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/importwizard/importimapsettingnofoundpage.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/importwizard/importimapsettingprogresspage.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/importwizard/importimapsettingfinishpage.cpp
)

target_sources(
    libsieveeditor
    PRIVATE
        ${CMAKE_CURRENT_SOURCE_DIR}/importwizard/checks/importimapsettingsakonadicheckjob.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/importwizard/checks/importimapsettingsthunderbirdcheckjob.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/importwizard/checks/abstractimapsettingscheckjob.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/importwizard/checks/abstractimapsettingspassword.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/importwizard/checks/importimapsettingsakonadipassword.cpp
)

if(TARGET KF6::UserFeedbackWidgets)
    target_sources(
        libsieveeditor
        PRIVATE
            userfeedback/userfeedbackmanager.cpp
            userfeedback/userfeedbackmanager.h
    )
endif()

target_sources(
    libsieveeditor
    PRIVATE
        sieveeditormainwindow.cpp
        serversievesettingsdialog.cpp
        serversievesettings.cpp
        sieveeditormainwidget.cpp
        sieveeditorconfiguredialog.cpp
        sieveeditorscriptmanagerwidget.cpp
        sieveeditorutil.cpp
        serversievelistwidget.cpp
        sieveeditorconfigureserverwidget.cpp
        sieveeditormanagesievewidget.cpp
        sieveeditorpagewidget.cpp
        sieveeditortabwidget.cpp
        sieveeditorcentralwidget.cpp
        sieveeditorconfigureserverpage.cpp
        sieveeditorbookmarks.cpp
        sieveeditoremptytabwidgetlabel.cpp
        readserversieveconfigjob.cpp
        sieveeditorsavepasswordjob.cpp
        sieveeditor.qrc
        libsieveeditor_private_export.h
        sieveeditortabwidget.h
        sieveeditoremptytabwidgetlabel.h
        sieveeditormainwindow.h
        sieveeditormainwidget.h
        sieveeditorconfiguredialog.h
        readserversieveconfigjob.h
        sieveeditorconfigureserverwidget.h
        serversievesettings.h
        serversievelistwidget.h
        sieveeditorscriptmanagerwidget.h
        sieveeditorcentralwidget.h
        sieveeditorutil.h
        serversievesettingsdialog.h
        sieveeditormanagesievewidget.h
        importwizard/importimapsettingfinishpage.h
        importwizard/checks/abstractimapsettingscheckjob.h
        importwizard/checks/importimapsettingsakonadicheckjob.h
        importwizard/checks/importimapsettingsthunderbirdcheckjob.h
        importwizard/checks/importimapsettingsakonadipassword.h
        importwizard/checks/abstractimapsettingspassword.h
        importwizard/importimapsettingwizard.h
        importwizard/importimapsettingprogresspage.h
        importwizard/importimapsettingnofoundpage.h
        importwizard/importimapsettingsearchpage.h
        sieveeditorsavepasswordjob.h
        sieveeditorbookmarks.h
        sieveeditorpagewidget.h
        sieveeditorconfigureserverpage.h
        sievepurposemenuwidget.cpp
        sievepurposemenuwidget.h
        whatsnew/whatsnewtranslations.h
        whatsnew/whatsnewtranslations.cpp
)

ki18n_wrap_ui(libsieveeditor
    ui/serversievesettings.ui
    ui/sieveeditorconfigureserverwidget.ui
)
ecm_qt_declare_logging_category(libsieveeditor HEADER sieveeditor_debug.h
	IDENTIFIER SIEVEEDITOR_LOG
	CATEGORY_NAME org.kde.pim.sieveeditor
	OLD_CATEGORY_NAMES log_sieveeditor
	DESCRIPTION "sieveeditor (sieveeditor)" EXPORT SIEVEEDITOR
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        libsieveeditor
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
generate_export_header(libsieveeditor BASE_NAME libsieveeditor)

set(libsieveeditor_userfeedback_LIB)
if(TARGET KF6::UserFeedbackWidgets)
    set(libsieveeditor_userfeedback_LIB KF6::UserFeedbackWidgets)
endif()

target_link_libraries(
    libsieveeditor
    PRIVATE
        KPim6::MailTransport
        KF6::Bookmarks
        KF6::I18n
        KF6::XmlGui
        KF6::BookmarksWidgets
        KPim6::PimCommon
        KPim6::KSieveUi
        KPim6::KManageSieve
        KF6::WindowSystem
        ${libsieveeditor_userfeedback_LIB}
)
target_link_libraries(libsieveeditor PRIVATE qt6keychain)

set_target_properties(
    libsieveeditor
    PROPERTIES
        OUTPUT_NAME
            sieveeditor
        VERSION
            ${KDEPIM_LIB_VERSION}
        SOVERSION
            ${KDEPIM_LIB_SOVERSION}
)

add_executable(sieveeditor)

# application icon, in all sizes needed to have e.g. nice Windows icons, too
set(ICON_FILES
    icons/sc-apps-sieveeditor.svg
    icons/16-apps-sieveeditor.png
    icons/22-apps-sieveeditor.png
    icons/32-apps-sieveeditor.png
    icons/48-apps-sieveeditor.png
    icons/64-apps-sieveeditor.png
)

# Add icon files to the application's source files to have CMake bundle them in the executable.
ecm_add_app_icon(ICONS_SOURCES ICONS ${ICON_FILES})
target_sources(
    sieveeditor
    PRIVATE
        main.cpp
        ${ICONS_SOURCES}
)

target_link_libraries(
    sieveeditor
    KF6::CoreAddons
    KF6::Crash
    libsieveeditor
    KF6::XmlGui
    KF6::I18n
    ${libsieveeditor_userfeedback_LIB}
    KF6::IconThemes
    KF6::WindowSystem
)

if(TARGET KF6::DBusAddons)
    target_link_libraries(sieveeditor KF6::DBusAddons)
else()
    target_link_libraries(sieveeditor KDAB::kdsingleapplication)
    if(NOT WIN32 AND NOT APPLE)
        target_link_libraries(sieveeditor Qt::GuiPrivate)
    endif()
endif()
install(
    TARGETS
        sieveeditor
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(PROGRAMS org.kde.sieveeditor.desktop DESTINATION ${KDE_INSTALL_APPDIR})

install(FILES settings/sieveeditorglobalconfig.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(
    TARGETS
        libsieveeditor
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    LIBRARY
        NAMELINK_SKIP
)

if(BUILD_TESTING)
    add_subdirectory(importwizard/autotests)
    add_subdirectory(importwizard/tests)
endif()

install(FILES org.kde.sieveeditor.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
ecm_qt_install_logging_categories(EXPORT SIEVEEDITOR FILE sieveeditor.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

add_subdirectory(icons)

# See https://cmake.org/cmake/help/v3.15/prop_tgt/MACOSX_BUNDLE_INFO_PLIST.html
if(APPLE)
    set_property(
        TARGET
            sieveeditor
        PROPERTY
            MACOSX_BUNDLE_INFO_PLIST
                ${CMAKE_CURRENT_SOURCE_DIR}/data/MacOSXBundleInfo.plist.in
    )

    # These are substituted by CMake into plist.in.
    set(MACOSX_BUNDLE_DISPLAY_NAME "SieveEditor")
    set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.sieveeditor")
    set(MACOSX_BUNDLE_BUNDLE_NAME "SieveEditor")
    set(MACOSX_BUNDLE_DISPLAY_NAME "SieveEditor")
    set(MACOSX_BUNDLE_INFO_STRING "SieveEditor - Sieve Editor")
    set(MACOSX_BUNDLE_LONG_VERSION_STRING "SieveEditor ${PIM_VERSION}")
    set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${PIM_VERSION}")
    set(MACOSX_BUNDLE_BUNDLE_VERSION "${PIM_VERSION}")
    set(MACOSX_BUNDLE_COPYRIGHT "2013-2025 The SieveEditor Authors")
endif()

=== debian/changelog ===
pim-sieve-editor (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:59:01 +0100

=== debian/control ===
Source: pim-sieve-editor
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libkf6bookmarks-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6userfeedback-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkimap-dev (>= 25.08.2~),
               libkmailtransport-dev (>= 25.08.2~),
               libksieve-dev (>= 4:25.08.2~),
               libpimcommon-dev (>= 4:25.08.2~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qtkeychain-qt6-dev (>= 0.14.2~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/pim-sieve-editor
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pim-sieve-editor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pim-sieve-editor
Rules-Requires-Root: no

Package: pim-sieve-editor
Section: mail
Architecture: amd64 arm64 armhf i386
Depends: kio6, ${misc:Depends}, ${shlibs:Depends},
Description: IMAP Sieve filter editor
 An application to assist with editing IMAP Sieve filters.

## pim-sieve-editor 25.08.2+p24.04+vstable+git20251015.2023

=== debian/changelog ===
pim-sieve-editor (4:25.08.2+p24.04+vstable+git20251015.2023-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:23:34 +0000

pim-sieve-editor (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:02:18 +0000

## pim-sieve-editor 25.08.2+p24.04+vstable+git20251019.0841

=== debian/changelog ===
pim-sieve-editor (4:25.08.2+p24.04+vstable+git20251019.0841-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 08:41:17 +0000

=== debian/control ===
Source: pim-sieve-editor
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kauth-dev,
               kf6-kcmutils-dev,
               kf6-kcodecs-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdnssd-dev,
               kf6-kdoctools-dev,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kitemviews-dev,
               kf6-knewstuff-dev,
               kf6-knotifyconfig-dev,
               kf6-kservice-dev,
               kf6-ktextaddons-dev,
               kf6-ktexteditor-dev,
               kf6-ktexttemplate-dev,
               kf6-ktextwidgets-dev,
               kf6-kuserfeedback-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-sonnet-dev,
               kpim6-kmailtransport-dev,
               kpim6-kmime-dev,
               kpim6-kpimtextedit-dev,
               kpim6-libksieve-dev,
               kpim6-mailcommon-dev,
               kpim6-messagelib-dev,
               kpim6-pimcommon-dev,
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgpgme11-dev,
               libx11-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-phonon-dev,
               qt6-tools-dev,
               qt6-webchannel-dev,
               qt6-webengine-dev,
               qtkeychain-qt6-dev,
               reuse,
               shared-mime-info,
               spdx-licenses,
               xsltproc,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/pim-sieve-editor.git
Vcs-Browser: https://invent.kde.org/neon/kde/pim-sieve-editor
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-sieve-editor
Section: mail
Architecture: any
Depends: kf6-kio, ${misc:Depends}, ${shlibs:Depends}
Replaces: pim-sieve-editor
Description: IMAP Sieve filter editor
 An application to assist with editing IMAP Sieve filters.

Package: pim-sieve-editor
Architecture: all
Depends: kpim6-sieve-editor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## pim-sieve-editor 25.08.2+p24.04+vstable+git20251031.0352

=== debian/changelog ===
pim-sieve-editor (4:25.08.2+p24.04+vstable+git20251031.0352-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 03:52:17 +0000

## pim-sieve-editor 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,12 @@
 # SPDX-License-Identifier: BSD-3-Clause
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.3")
 project(sieveeditor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.08.2")
+set(RELEASE_SERVICE_VERSION "25.08.3")
 
 # Update it for each release
-set(SIEVEEDITOR_RELEASE_VERSION_DATE "25.10.06") # yy.MM.dd
+set(SIEVEEDITOR_RELEASE_VERSION_DATE "25.11.03") # yy.MM.dd
 
 # Use true if stable version => we will check specific version
 set(SIEVEEDITOR_STABLE_VERSION true)
@@ -79,14 +79,14 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KMAILTRANSPORT_LIB_VERSION "6.5.2")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.3")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(LIBKSIEVE_LIB_VERSION "6.5.2")
-set(PIMCOMMON_LIB_VERSION "6.5.2")
-set(KIMAP_LIB_VERSION "6.5.2")
+set(LIBKSIEVE_LIB_VERSION "6.5.3")
+set(PIMCOMMON_LIB_VERSION "6.5.3")
+set(KIMAP_LIB_VERSION "6.5.3")
 
 find_package(
     Qt6

=== src/importwizard/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_executable(sieveeditorimportwizardtest main.cpp)

target_link_libraries(
    sieveeditorimportwizardtest
    Qt::Widgets
    KF6::WidgetsAddons
    KF6::I18n
    KF6::ConfigCore
    KF6::ConfigGui
    KPim6::MailTransport
    KPim6::KSieveUi
    libsieveeditor
)

=== debian/changelog ===
pim-sieve-editor (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 18:01:05 +0100

pim-sieve-editor (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:25:08 +0100

=== debian/control ===
Source: pim-sieve-editor
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libkf6bookmarks-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6crash-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6doctools-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6iconthemes-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6userfeedback-dev (>= 6.14.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               libkf6xmlgui-dev (>= 6.14.0~),
               libkimap-dev (>= 25.08.3~),
               libkmailtransport-dev (>= 25.08.3~),
               libksieve-dev (>= 4:25.08.3~),
               libpimcommon-dev (>= 4:25.08.3~),
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-base-private-dev (>= 6.8.0~),
               qtkeychain-qt6-dev (>= 0.14.2~),
               xauth,
               xvfb,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/pim-sieve-editor
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/pim-sieve-editor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/pim-sieve-editor.git
Rules-Requires-Root: no

Package: pim-sieve-editor
Section: mail
Architecture: amd64 arm64 armhf i386
Depends: kio6,
         ${misc:Depends},
         ${shlibs:Depends},
Description: IMAP Sieve filter editor
 An application to assist with editing IMAP Sieve filters.

## pim-sieve-editor 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,20 +2,21 @@
 # SPDX-License-Identifier: BSD-3-Clause
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.5.80")
 project(sieveeditor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.08.3")
+set(RELEASE_SERVICE_VERSION "25.11.80")
 
 # Update it for each release
-set(SIEVEEDITOR_RELEASE_VERSION_DATE "25.11.03") # yy.MM.dd
+set(SIEVEEDITOR_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
 
 # Use true if stable version => we will check specific version
 set(SIEVEEDITOR_STABLE_VERSION true)
 
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
 set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -70,7 +71,7 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
+set(KDEPIM_DEV_VERSION beta)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -79,14 +80,15 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KMAILTRANSPORT_LIB_VERSION "6.5.3")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.80")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(LIBKSIEVE_LIB_VERSION "6.5.3")
-set(PIMCOMMON_LIB_VERSION "6.5.3")
-set(KIMAP_LIB_VERSION "6.5.3")
+set(LIBKSIEVE_LIB_VERSION "6.5.80")
+set(PIMCOMMON_LIB_VERSION "6.5.80")
+set(KIMAP_LIB_VERSION "6.5.80")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 find_package(
     Qt6
@@ -97,10 +99,6 @@
         Network
 )
 
-if(Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
-    find_package(Qt6GuiPrivate ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE)
-endif()
-
 # Find KF6 package
 find_package(KF6CoreAddons ${KF_MIN_VERSION} REQUIRED)
 find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
@@ -132,6 +130,20 @@
             "Allow to send Telemetry Information (optional)."
 )
 
+find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG)
+set_package_properties(
+    KF6TextAddonsWidgets
+    PROPERTIES
+        DESCRIPTION
+            "Add text addons widget"
+        TYPE
+            REQUIRED
+)
+
+if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
+    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
+endif()
+
 # shall we use DBus?
 # enabled per default on Linux & BSD systems
 set(USE_DBUS_DEFAULT OFF)
@@ -144,6 +156,9 @@
     set(WITH_DBUS TRUE)
     find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
 else()
+    if(Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
+        find_package(Qt6GuiPrivate ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE)
+    endif()
     find_package(KDSingleApplication-qt6 CONFIG REQUIRED)
 endif()
 
@@ -172,7 +187,7 @@
 )
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.20.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -141,6 +141,10 @@
 )
 target_link_libraries(libsieveeditor PRIVATE qt6keychain)
 
+if(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT)
+    target_link_libraries(libsieveeditor PRIVATE KF6::TextAddonsWidgets)
+endif()
+
 set_target_properties(
     libsieveeditor
     PROPERTIES

=== debian/changelog ===
pim-sieve-editor (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 08:04:07 +0000

pim-sieve-editor (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:30:16 +0000

=== debian/control ===
Source: pim-sieve-editor
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libkf6bookmarks-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6userfeedback-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkimap-dev (>= 25.11.80~),
               libkmailtransport-dev (>= 25.11.80~),
               libksieve-dev (>= 4:25.11.80~),
               libpimcommon-dev (>= 4:25.11.80~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qtkeychain-qt6-dev (>= 0.14.2~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/pim-sieve-editor
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pim-sieve-editor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pim-sieve-editor
Rules-Requires-Root: no

Package: pim-sieve-editor
Section: mail
Architecture: amd64 arm64 armhf i386
Depends: kio6, ${misc:Depends}, ${shlibs:Depends},
Description: IMAP Sieve filter editor
 An application to assist with editing IMAP Sieve filters.

## pim-sieve-editor 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,12 @@
 # SPDX-License-Identifier: BSD-3-Clause
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 project(sieveeditor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.11.80")
+set(RELEASE_SERVICE_VERSION "25.11.90")
 
 # Update it for each release
-set(SIEVEEDITOR_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
+set(SIEVEEDITOR_RELEASE_VERSION_DATE "25.11.27") # yy.MM.dd
 
 # Use true if stable version => we will check specific version
 set(SIEVEEDITOR_STABLE_VERSION true)
@@ -71,7 +71,7 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION beta)
+set(KDEPIM_DEV_VERSION rc)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -80,14 +80,14 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KMAILTRANSPORT_LIB_VERSION "6.5.80")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.90")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(LIBKSIEVE_LIB_VERSION "6.5.80")
-set(PIMCOMMON_LIB_VERSION "6.5.80")
-set(KIMAP_LIB_VERSION "6.5.80")
+set(LIBKSIEVE_LIB_VERSION "6.5.90")
+set(PIMCOMMON_LIB_VERSION "6.5.90")
+set(KIMAP_LIB_VERSION "6.5.90")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 find_package(

=== debian/changelog ===
pim-sieve-editor (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:18:30 +0000

=== debian/control ===
--- 
+++ 
@@ -22,10 +22,10 @@
                libkf6kio-dev (>= 6.6.0~),
                libkf6userfeedback-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkimap-dev (>= 25.11.80~),
-               libkmailtransport-dev (>= 25.11.80~),
-               libksieve-dev (>= 4:25.11.80~),
-               libpimcommon-dev (>= 4:25.11.80~),
+               libkimap-dev (>= 25.11.90~),
+               libkmailtransport-dev (>= 25.11.90~),
+               libksieve-dev (>= 4:25.11.90~),
+               libpimcommon-dev (>= 4:25.11.90~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),

## pim-sieve-editor 25.12.0

=== debian/changelog ===
pim-sieve-editor (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:38:37 +0000

=== debian/control ===
--- 
+++ 
@@ -22,10 +22,10 @@
                libkf6kio-dev (>= 6.6.0~),
                libkf6userfeedback-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkimap-dev (>= 25.11.90~),
-               libkmailtransport-dev (>= 25.11.90~),
-               libksieve-dev (>= 4:25.11.90~),
-               libpimcommon-dev (>= 4:25.11.90~),
+               libkimap-dev (>= 25.12.0~),
+               libkmailtransport-dev (>= 25.12.0~),
+               libksieve-dev (>= 4:25.12.0~),
+               libpimcommon-dev (>= 4:25.12.0~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),

## pim-sieve-editor 25.12.0+p24.04+vstable+git20251221.0107

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,12 @@
 # SPDX-License-Identifier: BSD-3-Clause
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.90")
+set(PIM_VERSION "6.6.1")
 project(sieveeditor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.11.90")
+set(RELEASE_SERVICE_VERSION "25.12.1")
 
 # Update it for each release
-set(SIEVEEDITOR_RELEASE_VERSION_DATE "25.11.27") # yy.MM.dd
+set(SIEVEEDITOR_RELEASE_VERSION_DATE "26.01.05") # yy.MM.dd
 
 # Use true if stable version => we will check specific version
 set(SIEVEEDITOR_STABLE_VERSION true)
@@ -71,7 +71,7 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION rc)
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -80,14 +80,14 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KMAILTRANSPORT_LIB_VERSION "6.5.90")
+set(KMAILTRANSPORT_LIB_VERSION "6.6.0")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(LIBKSIEVE_LIB_VERSION "6.5.90")
-set(PIMCOMMON_LIB_VERSION "6.5.90")
-set(KIMAP_LIB_VERSION "6.5.90")
+set(LIBKSIEVE_LIB_VERSION "6.6.0")
+set(PIMCOMMON_LIB_VERSION "6.6.0")
+set(KIMAP_LIB_VERSION "6.6.0")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 find_package(

=== debian/changelog ===
pim-sieve-editor (4:25.12.0+p24.04+vstable+git20251221.0107-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Dec 2025 01:07:23 +0000

pim-sieve-editor (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:42:31 +1000

pim-sieve-editor (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:45:54 +1000

## pim-sieve-editor 25.12.0+p24.04+vstable+git20260105.1007

=== debian/changelog ===
pim-sieve-editor (4:25.12.0+p24.04+vstable+git20260105.1007-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:07:54 +0000

## pim-sieve-editor 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -80,14 +80,14 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KMAILTRANSPORT_LIB_VERSION "6.6.0")
+set(KMAILTRANSPORT_LIB_VERSION "6.6.1")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(LIBKSIEVE_LIB_VERSION "6.6.0")
-set(PIMCOMMON_LIB_VERSION "6.6.0")
-set(KIMAP_LIB_VERSION "6.6.0")
+set(LIBKSIEVE_LIB_VERSION "6.6.1")
+set(PIMCOMMON_LIB_VERSION "6.6.1")
+set(KIMAP_LIB_VERSION "6.6.1")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 find_package(

=== debian/changelog ===
pim-sieve-editor (4:25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:39:28 +0100

pim-sieve-editor (4:25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:49:39 +0100

=== debian/control ===
Source: pim-sieve-editor
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkdsingleapplication-qt6-dev,
               libkf6bookmarks-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6userfeedback-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkimap-dev (>= 25.12.1~),
               libkmailtransport-dev (>= 25.12.1~),
               libksieve-dev (>= 4:25.12.1~),
               libpimcommon-dev (>= 4:25.12.1~),
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-base-private-dev (>= 6.8.0~),
               qtkeychain-qt6-dev (>= 0.14.2~),
               xauth,
               xvfb,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/pim/pim-sieve-editor
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/pim-sieve-editor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/pim-sieve-editor.git
Rules-Requires-Root: no

Package: pim-sieve-editor
Section: mail
Architecture: amd64 arm64 armhf i386
Depends: kio6,
         ${misc:Depends},
         ${shlibs:Depends},
Description: IMAP Sieve filter editor
 An application to assist with editing IMAP Sieve filters.

## pim-sieve-editor 25.12.1+p24.04+vstable+git20260131.0350

=== debian/changelog ===
pim-sieve-editor (4:25.12.1+p24.04+vstable+git20260131.0350-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:50:34 +0000

pim-sieve-editor (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:33:51 +1000

## pim-sieve-editor 25.12.1+p24.04+vstable+git20260205.0728

=== debian/changelog ===
pim-sieve-editor (4:25.12.1+p24.04+vstable+git20260205.0728-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:28:41 +0000

## pim-sieve-editor 25.12.1+p24.04+vunstable+git20260205.0837

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,20 @@
-# SPDX-FileCopyrightText: 2013-2025 Laurent Montel <montel@kde.org>
+# SPDX-FileCopyrightText: 2013-2026 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.1")
+cmake_minimum_required(VERSION 3.27)
+set(PIM_VERSION "6.6.40")
 project(sieveeditor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.12.1")
+set(RELEASE_SERVICE_VERSION "26.03.40")
 
 # Update it for each release
-set(SIEVEEDITOR_RELEASE_VERSION_DATE "26.01.05") # yy.MM.dd
+set(SIEVEEDITOR_RELEASE_VERSION_DATE "26.03.10") # yy.MM.dd
 
 # Use true if stable version => we will check specific version
-set(SIEVEEDITOR_STABLE_VERSION true)
-
-set(KF_MIN_VERSION "6.18.0")
-set(QT_REQUIRED_VERSION "6.8.0")
-set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
-set(CMAKE_CXX_STANDARD 20)
+set(SIEVEEDITOR_STABLE_VERSION false)
+
+set(KF_MIN_VERSION "6.21.0")
+set(QT_REQUIRED_VERSION "6.9.0")
+set(QT6KEYCHAIN_LIB_VERSION "0.15.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
@@ -46,9 +45,33 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    include(KDEGitCommitHooks)
-    include(KDEClangFormat)
-    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
+    if(PRE_COMMIT_EXECUTABLE)
+        message(STATUS "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook")
+        execute_process(
+            COMMAND
+                "${PRE_COMMIT_EXECUTABLE}" install -f
+            ERROR_QUIET
+            RESULT_VARIABLE _precommitresult
+            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
+        )
+        if(_precommitresult EQUAL 0)
+            message(STATUS "Pre-commit installed.")
+        else()
+            message(
+                WARNING
+                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
+            )
+            include(KDEGitCommitHooks)
+            include(KDEClangFormat)
+            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+        endif()
+    else()
+        message(WARNING "This module has pre-commit support. pre-commit binary was not found.")
+        include(KDEGitCommitHooks)
+        include(KDEClangFormat)
+        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    endif()
 endif()
 
 include(CheckFunctionExists)
@@ -71,7 +94,7 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
+set(KDEPIM_DEV_VERSION alpha)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -80,15 +103,15 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KMAILTRANSPORT_LIB_VERSION "6.6.1")
+set(KMAILTRANSPORT_LIB_VERSION "6.6.40")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(LIBKSIEVE_LIB_VERSION "6.6.1")
-set(PIMCOMMON_LIB_VERSION "6.6.1")
-set(KIMAP_LIB_VERSION "6.6.1")
-set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(LIBKSIEVE_LIB_VERSION "6.6.40")
+set(PIMCOMMON_LIB_VERSION "6.6.40")
+set(KIMAP_LIB_VERSION "6.6.40")
+set(KTEXTADDONS_MIN_VERSION "1.9.1")
 
 find_package(
     Qt6
@@ -108,8 +131,8 @@
 find_package(KF6WindowSystem ${KF_MIN_VERSION} REQUIRED)
 
 find_package(KF6DocTools ${KF_MIN_VERSION})
-find_package(KF6I18n ${KF_MIN_VERSION})
-find_package(KF6IconThemes ${KF_MIN_VERSION} QUIET)
+find_package(KF6I18n ${KF_MIN_VERSION} REQUIRED)
+find_package(KF6IconThemes ${KF_MIN_VERSION} REQUIRED)
 set_package_properties(
     KF6DocTools
     PROPERTIES
@@ -139,10 +162,6 @@
         TYPE
             REQUIRED
 )
-
-if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
-    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
-endif()
 
 # shall we use DBus?
 # enabled per default on Linux & BSD systems
@@ -187,7 +206,12 @@
 )
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.20.0)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0  KF 6.22.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
 
@@ -200,6 +224,18 @@
     add_definitions(-DBUILD_TESTING)
     find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
 endif()
+
+option(WARNINGS_AS_ERRORS "Warnings are errors -Werror" OFF)
+if(WARNINGS_AS_ERRORS)
+    if(MSVC)
+        add_compile_options(/WX)
+        add_compile_options(/wd4996)
+    else()
+        add_compile_options(-Werror)
+        add_compile_options(-Wno-error=deprecated-declarations)
+    endif()
+endif()
+
 add_subdirectory(src)
 if(BUILD_TESTING)
     add_subdirectory(autotests)

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_executable(serversievesettingstest serversievesettingstest.cpp)
add_test(NAME serversievesettingstest COMMAND serversievesettingstest)
ecm_mark_as_test(serversievesettingstest)
target_link_libraries(
    serversievesettingstest
    Qt::Test
    Qt::Widgets
    KPim6::MailTransport
    KF6::I18n
    KF6::ConfigGui
    KPim6::KSieveUi
    libsieveeditor
)

set(sieveeditorutiltest_source sieveeditorutiltest.cpp)
add_executable(sieveeditorutiltest ${sieveeditorutiltest_source})
add_test(NAME sieveeditorutiltest COMMAND sieveeditorutiltest)
ecm_mark_as_test(sieveeditorutiltest)
target_link_libraries(
    sieveeditorutiltest
    Qt::Test
    KPim6::MailTransport
    KF6::I18n
    KF6::ConfigGui
    KPim6::KSieveUi
    libsieveeditor
)

# convenience macro to add qtest unit tests
macro(add_sieveserver_unittest _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(${_name} ${_test})
    add_test(NAME ${_name} COMMAND ${_name})
    ecm_mark_as_test(sieveserver-${_name})
    target_link_libraries(
        ${_name}
        Qt::Test
        Qt::Widgets
        KF6::I18n
        KPim6::MailTransport
        KPim6::KSieveUi
        libsieveeditor
    )
endmacro()

add_sieveserver_unittest( sieveeditorconfigureserverpagetest.cpp)

=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
########### install files ###############
#
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR sieveeditor)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2013-2025 Laurent Montel <montel@kde.org>
+# SPDX-FileCopyrightText: 2013-2026 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 
 if(TARGET KF6::UserFeedbackWidgets)
@@ -141,9 +141,7 @@
 )
 target_link_libraries(libsieveeditor PRIVATE qt6keychain)
 
-if(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT)
-    target_link_libraries(libsieveeditor PRIVATE KF6::TextAddonsWidgets)
-endif()
+target_link_libraries(libsieveeditor PRIVATE KF6::TextAddonsWidgets)
 
 set_target_properties(
     libsieveeditor

=== src/importwizard/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DIMPORTWIZARD_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")

macro(add_sieveeditor_importwizard_unittest _source _additionsource)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} ${_additionsource} ${_name}.h
        TEST_NAME ${_name}
        NAME_PREFIX "sieveeditor-importwizard-"
        LINK_LIBRARIES Qt::Test KF6::I18n Qt::Gui Qt::Widgets
        KPim6::MailTransport KF6::ConfigCore KF6::ConfigGui KPim6::KSieveUi libsieveeditor
    )
endmacro()

add_sieveeditor_importwizard_unittest(importimapsettingsearchpagetest.cpp "")
add_sieveeditor_importwizard_unittest(importimapsettingnofoundpagetest.cpp "")
add_sieveeditor_importwizard_unittest(importimapsettingsakonadicheckjobtest.cpp "importimapsettingspasswordtest.cpp")
add_sieveeditor_importwizard_unittest(importimapsettingprogresspagetest.cpp "")
add_sieveeditor_importwizard_unittest(importimapsettingfinishpagetest.cpp "")
add_sieveeditor_importwizard_unittest(importimapsettingsthunderbirdcheckjobtest.cpp "")

=== src/importwizard/tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2013-2025 Laurent Montel <montel@kde.org>
+# SPDX-FileCopyrightText: 2013-2026 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 add_executable(sieveeditorimportwizardtest main.cpp)

=== debian/changelog ===
pim-sieve-editor (4:25.12.1+p24.04+vunstable+git20260205.0837-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:37:57 +0000
